﻿namespace U2UConsult.Metro.DynamicTemplating
{
    using System;
    using Windows.UI.Xaml.Data;

    public class BeerColorConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, string language)
        {

            switch (value.ToString())
            {
                case "Yellow":
                    return "LemonChiffon";
                case "Straw":
                    return "Wheat";
                case "Gold":
                    return "GoldenRod";
                case "Amber":
                case "LightCopper":
                case "Copper":
                    return "Peru";
                case "LightBrown":
                    return "Chocolate";
                case "Brown":
                    return "Brown";
                case "DarkBrown":
                    return "darkRed";
                case "VeryDarkBrown":
                    return "SaddleBrown";
                case "Black":
                    return "Black";
                default:
                    return "Lime";
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            return value;
        }
    }
}
