﻿namespace U2UConsult.Metro.DynamicTemplating
{
    using Windows.UI;
    using Windows.UI.Xaml;
    using Windows.UI.Xaml.Controls;
    using Windows.UI.Xaml.Media;

    public class BeerStyleSelector: StyleSelector
    {
        /// <remarks>
        /// Unfortunately it is never called:
        /// http://connect.microsoft.com/VisualStudio/feedback/details/733753/win-8-sdk-c-c-styleselector-itemcontainerstyleselector-does-not-work
        /// </remarks>
        protected override Style SelectStyleCore(object item, DependencyObject container)
        {
            Style style = new Style(typeof(ListViewItem));
            style.Setters.Add(new Setter(ListViewItem.ForegroundProperty, new SolidColorBrush(Colors.Red)));
            return style;
        }
    }
}
